config/routes.rb
Rails.application.routes.draw do
  resources :orders
  root      :to => 'home#index', :as => :root
end

app/models/item.rb
class Item < ActiveRecord::Base
end

app/models/order.rb
class Order < ActiveRecord::Base
  has_many :order_items
end

app/models/order_item.rb
class OrderItem < ActiveRecord::Base
  belongs_to :order
  belongs_to :item
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception
end

app/controllers/home_controller.rb
class HomeController < ApplicationController

end

app/controllers/orders_controller.rb
class OrdersController < ApplicationController
  def index
    @items = Item.all
    @order = Order.new
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/home_helper.rb
module HomeHelper
end

app/helpers/orders_helper.rb
module OrdersHelper
end

app/views/home/index.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Order System</title>
    <%= csrf_meta_tags %>
    <%= stylesheet_link_tag    '//netdna.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css' %>
    <%= stylesheet_link_tag    '//netdna.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap-theme.min.css' %>
    <%= javascript_include_tag '//code.jquery.com/jquery-2.1.1.min.js' %>
    <%= javascript_include_tag '//netdna.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js' %>
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <nav class='navbar navbar-default' role='navigation'>
      <div class='container-fluid'>
        <ul class='nav navbar-nav'>
          <li class='active'><%= link_to 'Home', root_path  %></li>
          <li><%= link_to 'Place Order', orders_path  %></li>
        </ul>
      </div>
    </nav>
    <div class='main container'>
      
      <h1>Welcome to our order system</h1>
      <p>
      Bacon ipsum dolor sit amet sunt non et, adipisicing pig meatloaf commodo ex proident pancetta ground round nisi shoulder. Capicola swine in venison sunt filet mignon. Cupidatat do in ut incididunt esse drumstick swine culpa exercitation. Swine irure enim, magna elit quis andouille t-bone nulla shank nisi hamburger fugiat consectetur.

                                          Commodo id jowl porchetta leberkas. Chuck ullamco ball tip ad, sausage fatback turkey minim duis irure jerky. Esse in venison nulla laborum, sint boudin prosciutto sunt biltong elit enim porchetta leberkas. Ad drumstick jerky culpa turkey.
      </p>
   </div>
  </body>
</html>

app/views/orders/_form.html.erb
<%= form_for(@order) do |f| %>
  <% if @order.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@order.errors.count, "error") %> prohibited this order from being saved:</h2>

      <ul>
      <% @order.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/orders/edit.html.erb
<h1>Editing order</h1>

<%= render 'form' %>

<%= link_to 'Show', @order %> |
<%= link_to 'Back', orders_path %>

app/views/orders/index.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Order System</title>
    <%= csrf_meta_tags %>
    <%= stylesheet_link_tag    '//netdna.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css' %>
    <%= stylesheet_link_tag    '//netdna.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap-theme.min.css' %>
    <%= javascript_include_tag '//code.jquery.com/jquery-2.1.1.min.js' %>
    <%= javascript_include_tag '//netdna.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js' %>
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <nav class='navbar navbar-default' role='navigation'>
      <div class='container-fluid'>
        <ul class='nav navbar-nav'>
          <li><%= link_to 'Home', root_path  %></li>
          <li class='active'><%= link_to 'Place Order', orders_path  %></li>
        </ul>
      </div>
    </nav>
   <div class='main container'>
     <h1>Items Available to purchase</h1>
     <%= form_for(@order) do |f| %>
       <table class='table'>
         <thead>
          <tr>
            <th>Description</th>
            <th style='width: 10%'>Price</th>
            <th style='width: 10%; text-align: center'>Quantity</th>
          </tr>
         </thead>
         <tbody>
         <% @items.each do |item| %>
          <tr>
            <td><%= item.description %></td>
            <td><%= item.price %></td>
            <td><input type='text' name='order[quantity]' class='form-control' style='width: 50%; margin: 0 auto' /></td>
          </tr>
         <% end %>
         </tbody>
         <tfoot>
           <tr>
             <td colspan='3'>
              <button type='submit' class='btn btn-primary' style='float: right;'>Checkout</button>
             </td>
           </tr>
         </tfoot>
       </table>
     <% end %>
   </div>
  </body>
</html>

app/views/orders/new.html.erb
<h1>New order</h1>

<%= render 'form' %>

<%= link_to 'Back', orders_path %>

app/views/orders/show.html.erb
<p id="notice"><%= notice %></p>

<%= link_to 'Edit', edit_order_path(@order) %> |
<%= link_to 'Back', orders_path %>